            #GIT_CMT=d7bead138d9592778ca978b33970dbeb0ac4e93b
%define modname hijri-converter
%global python3_pkgversion 36 


Name: python%{python3_pkgversion}-%modname
Version: 2.1.1
Release:    1.0.1.el7

Summary: Hijri to Gregorian dates converter
Group: Development/Python3
License: MIT
Url: https://pypi.org/project/%modname

#Source: https://pypi.io/packages/source/h/%modname/%modname-%version.tar.gz
Source: %modname-%version.tar.gz

BuildArch: noarch

BuildRequires: python%{python3_pkgversion}-devel >= 3.6
#BuildRequires: python%{python3_pkgversion}-pytest

%description
A Python package to convert accurately between Hijri and Gregorian dates
using the Umm al-Qura calendar of Saudi Arabia.

%prep
%setup -n %modname-%version

%build
%py3_build

%install
%py3_install

%check
%__python3 setup.py check

%files
%python3_sitelib/*
%doc README* CHANGELOG*
%license LICENSE


%changelog
* Tue Feb 9 2021 Alan Steinberg <alan.steinberg@oracle.com> - 2.1.1-1.0.1.el7
- Bumped release to -1.0.1. (Alan Steinberg)

* Fri Jan 29 2021 Qing Lin <qing.lin@oracle.com> - 2.1.1-1.el7
- remove test dependencies

* Thu Jan 28 2021 Qing Lin <qing.lin@oracle.com> 2.1.1-1
- first build for Oracle.

* Thu Nov 05 2020 Yuri N. Sedunov <aris@altlinux.org> 2.1.1-alt1
- first build for Sisyphus

